MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023094Community[OCCT] Website:Trackerpublic2012-04-10 17:332015-01-21 10:34
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target VersionFixed in Version 
Summary0023094: Automatic suggestion of the component maintainer
Descriptionhttp://dev.opencascade.org/index.php?q=node/57#comment-79 [^]

I read the updated contribution workflow and have two questions at the moment:

1. Section 2.4 state:

"The issue for which solution is provided should be switched to RESOLVED state and assigned to the developer who is expected to make a code review (Reviewer; by default, can be set to Maintainer of the component)."

As external developer how do I know who is the Maintainer of the corresponding component?
Maybe the maintainer could be suggested automatically by Mantis when selecting the bug category?

=====

1. You are right, the selection of reviewer is not well-defined. For the moment, let's agree to assign Resolved issues to bugmaster.

I suggest you register a record in Mantis for this issue (use category Website:Tracker), and we will try to address it. I believe we can provide either automatic assignment or at least a list of maintainers.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024514closedbugmaster Unclear guidelines to report issues in Mantis 

-  Notes
(0027471)
abv (manager)
2014-01-14 13:15

I suggest that Mantis should be improved to provide good default values in relevant forms to avoid this kind of problems (see also 0024514):

1. In the Issue Resolve form (the one shown when issue is changed to Resolved), set by default "Assigned To" to maintainer of the relevant Category

2. In the Issue Review form (the one shown when issue is changed to Reviewed), set by default "Assigned To" to bugmaster

3. In Issue Report form, set "Target Value" by default to the next planned OCCT version
(0032639)
aiv (reporter)
2014-10-03 14:57

Please review.
(0032652)
abv (manager)
2014-10-03 16:47

Seems to work well

- Issue History
Date Modified Username Field Change
2012-04-10 17:33 Pawel New Issue
2012-04-10 17:33 Pawel Assigned To => bugmaster
2014-01-14 13:15 abv Note Added: 0027471
2014-01-14 13:15 abv Assigned To bugmaster => aiv
2014-01-14 13:15 abv Status new => assigned
2014-01-14 13:16 abv Relationship added related to 0024514
2014-10-03 14:57 aiv Note Added: 0032639
2014-10-03 14:57 aiv Assigned To aiv => abv
2014-10-03 14:57 aiv Status assigned => resolved
2014-10-03 16:47 abv Note Added: 0032652
2014-10-03 16:47 abv Assigned To abv => bugmaster
2014-10-03 16:47 abv Status resolved => reviewed
2015-01-21 10:34 bugmaster Status reviewed => closed
2015-01-21 10:34 bugmaster Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker